--***********************************************
--VISTA ECONOMICOS DEL AVAL
--VM_C_ECONOMICOS_AVAL_PF
--***********************************************

SELECT
CON.FOLIO_UNICO,
--DATOS ECONOMICOS AVAL
AV.ID AVAL_ID,
SDAVAL.ID SUJETO_DETALLES_ID,
'NO EXISTE' TIPO_PERSONA,
SDAVAL.INGRESOS,
SDAVAL.OTROS_INGRESOS,
SDAVAL.FUENTE_OTROS_INGRESOS,
(SDAVAL.INGRESOS + SDAVAL.OTROS_INGRESOS) INGRESOS_TOTALES,
SDAVAL.EGRESOS_MENSUALES EGRESOS,
(SDAVAL.INGRESOS + SDAVAL.OTROS_INGRESOS)-(SDAVAL.EGRESOS_MENSUALES) TOTAL_GENERAL


FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS_AVALES AFA ON (AFA.APLICANTE_FISICO_ID = ATF.ID)
LEFT OUTER JOIN SMAFB.SGAVALES AV ON (AV.ID = AFA.AVAL_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS SAVAL ON (SAVAL.ID = AV.SUJETO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS_DETALLES SDAVAL ON (SDAVAL.SUJETO_ID = SAVAL.ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;